Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkcs11
Class KeyType

    java.lang.Object
      org.mozilla.jss.pkcs11.KeyType

    public final class KeyType

extends java.lang.Object

PKCS #11 Key Types These are the possible types for keys in the wrapper library. Key types are implemented as flyweights. Although the KeyType class is public, it should be considered private. We made the KeyType class public so that we can force it to load during CryptoManager.initialize(), before we install JSS as a provider.

Field Summary
`static KeyType` | `AES`
`protected static java.util.Hashtable` | `algHash`
`protected Algorithm[]` | `algorithms`
`static KeyType` | `DES`
`static KeyType` | `DES3`
`static KeyType` | `DH`
`static KeyType` | `DSA`
`static KeyType` | `EC`
`static KeyType` | `FORTEZZA` Deprecated. As of NSS 3.11, FORTEZZA is no longer supported. This is just a placeholder for backward compatibility.
`static KeyType` | `KEA`
`protected java.lang.String` | `name`
`static KeyType` | `NULL`
`static KeyType` | `RC2`
`static KeyType` | `RC4`
`static KeyType` | `RSA`
`static KeyType` | `SHA1_HMAC`

Constructor Summary
`protected` | `KeyType()`
`protected` | `KeyType(Algorithm[] algs, java.lang.String name)`

Method Summary
`static KeyType` | `getKeyTypeFromAlgorithm(Algorithm alg)` Returns the KeyType corresponding to the given Algorithm.
`Algorithm[]` | `supportedAlgorithms()` Returns an array of algorithms supported by this key type.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### algorithms

    protected Algorithm[] algorithms

### name

    protected java.lang.String name

### algHash

    protected static java.util.Hashtable algHash

### NULL

    public static final KeyType NULL

### RSA

    public static final KeyType RSA

### DSA

    public static final KeyType DSA

### EC

    public static final KeyType EC

### FORTEZZA

    public static final KeyType FORTEZZA

  Deprecated. As of NSS 3.11, FORTEZZA is no longer supported. This is just a placeholder for backward compatibility.

### DH

    public static final KeyType DH

### KEA

    public static final KeyType KEA

### DES

    public static final KeyType DES

### DES3

    public static final KeyType DES3

### AES

    public static final KeyType AES

### RC4

    public static final KeyType RC4

### RC2

    public static final KeyType RC2

### SHA1_HMAC

    public static final KeyType SHA1_HMAC

Constructor Detail

### KeyType

    protected KeyType()

### KeyType

    protected KeyType(Algorithm[] algs,
                      java.lang.String name)

Method Detail

### supportedAlgorithms

    public Algorithm[] supportedAlgorithms()

  Returns an array of algorithms supported by this key type.

### getKeyTypeFromAlgorithm

    public static KeyType getKeyTypeFromAlgorithm(Algorithm alg)
                                           throws java.security.NoSuchAlgorithmException

  Returns the KeyType corresponding to the given Algorithm. If there is no KeyType registered for this algorithm, a NoSuchAlgorithmException is thrown.

  Throws:
    `java.security.NoSuchAlgorithmException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD